﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Data.SqlClient;
using System.Configuration;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            this.BindRepeater();
        }
    }

    private void BindRepeater()
    {
        string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        using (SqlConnection con = new SqlConnection(constr))
        {
            using (SqlCommand cmd = new SqlCommand("SELECT * FROM Customers", con))
            {
                using (SqlDataAdapter sda = new SqlDataAdapter(cmd))
                {
                    DataTable dt = new DataTable();
                    sda.Fill(dt);
                    rptCustomers.DataSource = dt;
                    rptCustomers.DataBind();
                }
            }
        }
    }

    protected void GetValue(object sender, EventArgs e)
    {
        //Reference the Repeater Item using Button.
        RepeaterItem item = (sender as Button).NamingContainer as RepeaterItem;

        //Reference the Label and TextBox.
        string message = "Customer Id: " + (item.FindControl("lblCustomerId") as Label).Text;
        message += "\\nName: " + (item.FindControl("lblName") as Label).Text;
        message += "\\nCountry: " + (item.FindControl("txtCountry") as TextBox).Text;

        ClientScript.RegisterStartupScript(this.GetType(), "alert", "alert('" + message + "');", true);
    }
}